using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Codeidea.UltraGraphics;

namespace StartLayer
{
	/// <summary>
	/// Form1 ժҪ˵
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button btnPlay;
		private System.Windows.Forms.Button btnStop;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox textCurrent;
		private System.Windows.Forms.TrackBar trackSelect;
		private Codeidea.UltraGraphics.MyCAD myCAD1;
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Timer timer1;

		private Int32 layerId = 0;

		public MainForm()
		{
			//
			// Windows ֧
			//
			InitializeComponent();

			//
			// TODO:  InitializeComponent úκι캯
			//
		}

		/// <summary>
		/// ʹõԴ
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows ɵĴ
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.panel1 = new System.Windows.Forms.Panel();
			this.myCAD1 = new Codeidea.UltraGraphics.MyCAD();
			this.btnPlay = new System.Windows.Forms.Button();
			this.btnStop = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.textCurrent = new System.Windows.Forms.TextBox();
			this.trackSelect = new System.Windows.Forms.TrackBar();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.trackSelect)).BeginInit();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.SystemColors.AppWorkspace;
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel1.Controls.Add(this.myCAD1);
			this.panel1.Location = new System.Drawing.Point(8, 80);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(272, 152);
			this.panel1.TabIndex = 1;
			// 
			// myCAD1
			// 
			this.myCAD1.GridType = Codeidea.UltraGraphics.MyGridType.None;
			this.myCAD1.Location = new System.Drawing.Point(8, 8);
			this.myCAD1.Name = "myCAD1";
			this.myCAD1.PageHeight = 34;
			this.myCAD1.PageWidth = 66;
			this.myCAD1.Size = new System.Drawing.Size(248, 128);
			this.myCAD1.TabIndex = 0;
			// 
			// btnPlay
			// 
			this.btnPlay.Location = new System.Drawing.Point(120, 240);
			this.btnPlay.Name = "btnPlay";
			this.btnPlay.TabIndex = 2;
			this.btnPlay.Text = "&Play";
			this.btnPlay.Click += new System.EventHandler(this.btnPlay_Click);
			// 
			// btnStop
			// 
			this.btnStop.Location = new System.Drawing.Point(200, 240);
			this.btnStop.Name = "btnStop";
			this.btnStop.TabIndex = 3;
			this.btnStop.Text = "&Stop";
			this.btnStop.Click += new System.EventHandler(this.btnStop_Click);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.TabIndex = 4;
			this.label1.Text = "Current layer";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Location = new System.Drawing.Point(16, 40);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(91, 17);
			this.label2.TabIndex = 5;
			this.label2.Text = "Select a layer";
			// 
			// textCurrent
			// 
			this.textCurrent.Location = new System.Drawing.Point(128, 8);
			this.textCurrent.Name = "textCurrent";
			this.textCurrent.Size = new System.Drawing.Size(80, 21);
			this.textCurrent.TabIndex = 6;
			this.textCurrent.Text = "0";
			// 
			// trackSelect
			// 
			this.trackSelect.LargeChange = 1;
			this.trackSelect.Location = new System.Drawing.Point(120, 32);
			this.trackSelect.Maximum = 7;
			this.trackSelect.Name = "trackSelect";
			this.trackSelect.Size = new System.Drawing.Size(160, 42);
			this.trackSelect.TabIndex = 7;
			this.trackSelect.ValueChanged += new System.EventHandler(this.trackSelect_ValueChanged);
			// 
			// timer1
			// 
			this.timer1.Interval = 200;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(292, 273);
			this.Controls.Add(this.trackSelect);
			this.Controls.Add(this.textCurrent);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnStop);
			this.Controls.Add(this.btnPlay);
			this.Controls.Add(this.panel1);
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "TCAD demo for .NET --- StartLayer";
			this.Load += new System.EventHandler(this.MainForm_Load);
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.trackSelect)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Ӧóڵ㡣
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		private void MainForm_Load(object sender, System.EventArgs e)
		{
			

			for (Int32 i=0;i<8;++i)
			{
				//Add image shape
				
				String s = Application.StartupPath+@"\Butterfly\"+Convert.ToString(i)+@".BMP";
				Bitmap b = new Bitmap(s);
				myCAD1.AddImageShapeByCode("Image"+Convert.ToString(i),new Point(40,20),b);
				//Add new layer
				if (i<7==true)
					myCAD1.NewLayer("Layer"+Convert.ToString(i+1),false);
			}

			myCAD1.DeSelectedAllShapesByCode();
			myCAD1.DrawType = MyDrawType.Close;

		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
			textCurrent.Text = layerId.ToString();

			for (Int32 i=0;i<8;++i)
			{
				if (i==layerId)
					myCAD1.VisibleLayerById(i);
				else
					myCAD1.InVisibleLayerById(i);
			}
			++layerId;
			if (layerId == 8) layerId = 0;
		}

		private void btnPlay_Click(object sender, System.EventArgs e)
		{
			timer1.Enabled = true;
		}

		private void btnStop_Click(object sender, System.EventArgs e)
		{
			timer1.Enabled = false;
		}

		private void trackSelect_ValueChanged(object sender, System.EventArgs e)
		{
			textCurrent.Text = trackSelect.Value.ToString();
			timer1.Enabled = false;
			for (Int32 i=0;i<8;++i)
			{
				if (i == trackSelect.Value)
					myCAD1.VisibleLayerById(i);
				else
					myCAD1.InVisibleLayerById(i);
			}
		}
	}
}
